@import "src/colors.scss";

.searchbar {
    background-color: rgba($color: white, $alpha: 0.5);
    border-color: $dark;
    border-radius: 40px;
    border: 1px solid;
    width: 80%;
    height: 60%;
    margin: auto;
    margin-top: 3%;
    padding: 5px 10px;
    
    display: flex;
    flex-direction: row;
}

.searchbar:focus-within {
    outline: 3px solid $dark;
}

.searchbar-input {
    background-color: transparent;
    border: none;
    width: 100%;
}

.searchbar-input:focus-visible {
    outline: none;
}

.searchbar-button {
    background-color: transparent;
    border: none;

    color: $dark;
    font-size: 3.5vh;

    transition: all 0.25s linear;
}

.searchbar-button:hover {
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}